Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.actions
Class LibrarySessionAndJDBCAction

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.LibrarySessionAction
              oracle.ifs.admin.actions.LibrarySessionAndJDBCAction

All Implemented Interfaces:
  Action, IfsParameters

    public abstract class LibrarySessionAndJDBCAction

extends LibrarySessionAction
implements IfsParameters

Field Summary

Fields inherited from class oracle.ifs.admin.actions.LibrarySessionAction
`RESTART_SERVICE`

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`LibrarySessionAndJDBCAction()` An Ecm upgrade that creates an Ecm Domain for each Files Subscriber

Method Summary
`void` | `execute(LibrarySession sess)` Execute the action.
`abstract void` | `execute(LibrarySession sess, java.sql.Connection con)`
`void` | `failed(java.lang.Throwable error)` provide "do nothing" implementation for failed().
`protected java.sql.Date` | `getDate(java.sql.ResultSet rset, int position)`
`protected void` | `log(java.lang.String msg)` Add message to the log.
`protected void` | `printStackTrace(java.lang.Throwable e)` Add stack trace to the log.
`void` | `stop()` provide "do nothing" implementation for stop().

Methods inherited from class oracle.ifs.admin.actions.LibrarySessionAction
`perform, setDomain, setForSchemaUpgrade, setPassword, setRestartService, setSchemaPassword, setUser`

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibrarySessionAndJDBCAction

    public LibrarySessionAndJDBCAction()

  An Ecm upgrade that creates an Ecm Domain for each Files Subscriber

Method Detail

### execute

    public void execute(LibrarySession sess)
                 throws IfsException,
                        ActionFailedException

  Description copied from class: `LibrarySessionAndJDBCAction`
  Execute the action.

  Specified by:
    `execute` in class `LibrarySessionAction`
  Parameters:
    `sess` - the connected LibrarySession (expected to be in admin mode)
  Throws:
    `ActionFailedException:` - if any other exception occurs
    `IfsException` - if a database error occurs.
    `ActionFailedException` - if any other error occurs.

### execute

    public abstract void execute(LibrarySession sess,
                                 java.sql.Connection con)
                          throws ActionFailedException

  Throws:
    `ActionFailedException`

### getDate

    protected java.sql.Date getDate(java.sql.ResultSet rset,
                                    int position)
                             throws java.sql.SQLException,
                                    IfsException

  Throws:
    `java.sql.SQLException`
    `IfsException`

### stop

    public void stop()

  Description copied from class: `LibrarySessionAndJDBCAction`
  provide "do nothing" implementation for stop().

  Specified by:
    `stop` in interface `Action`
  (Unpublished)

### failed

    public void failed(java.lang.Throwable error)

  Description copied from class: `LibrarySessionAndJDBCAction`
  provide "do nothing" implementation for failed().

  Specified by:
    `failed` in interface `Action`
  Parameters:
    `error` - the error that occured
  (Unpublished)

### printStackTrace

    protected void printStackTrace(java.lang.Throwable e)

  Description copied from class: `LibrarySessionAndJDBCAction`
  Add stack trace to the log.

  Parameters:
    `e` - the exception for which to print a stack trace
  (Unpublished)

### log

    protected void log(java.lang.String msg)

  Description copied from class: `LibrarySessionAndJDBCAction`
  Add message to the log.

  Parameters:
    `msg` - the message to log
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD